/*******************************************************************************
 * NetWind NoteBook - A note-taking web tool
 * Copyright (C) 2020-2030 netwind.cc
 * @author netwindknight <netwind360@gmail.com>
 * @website https://netwind.cc/
 * @licence http://netwind.cc/license.html
 * @version 2.1.02 (2023-01-15)
 *******************************************************************************/
 "use strict";!function(t,d){var r={},o={title_len:100,src_len:30,author_len:20,desc_len:500,titlePageSize:30};function i(t,e){var t=d(t)[0],i=t.id;t.disabled||("TEXTAREA"==t.tagName?e[i]=t.value:"INPUT"==t.tagName?"checkbox"===t.type?e[i]=t.checked:e[i]=t.value:"SELECT"==t.tagName&&(e[i]=t.options[t.selectedIndex].text))}function e(){new Promise(function(e,t){chrome.runtime.sendMessage({type:"getConfig",propertyname:null},function(t){e(r=t)})}).then(function(t){var e,i=t;for(e in i||((i={})[b]=[]),o)d("#"+e).data("oldval",i[e]).val(i[e]);var a=i[b],p=0;if(0==d("#puboptiontable").children("tbody").length)if(a&&0<a.length){for(var n=!1;p<a.length;p++)_(a[p].pubitem_id)||_(a[p].pubitem_name)?(a.splice(p,1),n=!0):d(u.replace("/inputpubitem_/","inputpubitem_"+p+"_").replace(/#opt_(\w+)_val/g,function(t,e,i,n){return"pubitem_sel"==e?1==a[p][e]?"checked=1":"":a[p][e]||""})).appendTo(d("#puboptiontable")).data("isnew",!1).data("data",a[p]).find("select#inputpubitem_dateFormat option").filter(function(){return d(this).text()==a[p].pubitem_dateFormat}).attr("selected",!0);n&&((t={})[b]=a,c(t,function(t){}))}else d(u.replace("/inputpubitem_/","inputpubitem_"+p+"_").replace(/#opt_(\w+)_val/g,function(t,e,i,n){return""})).appendTo(d("#puboptiontable")).data("isnew",!0)})}function c(t,e){for(var i in t)r[i]=t[i];chrome.runtime.sendMessage({type:"emg110",data:t},e)}const b="pubitemopts";var u=`<tbody itemid="#opt_pubitem_id_val"><tr itemid="#opt_pubitem_id_val" class="firsttr">
    <td width="22%"><label><span>${chrome.i18n.getMessage("opt_pubitem_id")}</span></label></td>
    <td width="23%"><input type="text" class="inputpubitem" name="inputpubitem_id"  value="#opt_pubitem_id_val"></td>
    <td width="22%"><label><span>${chrome.i18n.getMessage("opt_pubitem_name")}</span></label></td>
    <td width="28%"><input type="text" class="inputpubitem"  name="inputpubitem_name"  value="#opt_pubitem_name_val"></td>
    <td width="5%" style="vertical-align: top;"></td></tr>
     <tr>
     <td height="44"><label><span>${chrome.i18n.getMessage("nw_93")}</span></label></td>
    <td colspan="3">
    <textarea name="inputpubitem_cols" id="inputpubitem_cols" style="height:40px;float: left;">#opt_pubitem_cols_val</textarea>
    </td>
    <td style="vertical-align: top;"><img src="images/os/tip.gif"  class="tipimg" title='输入格式为: “a栏目名称->a栏目ID;b栏目名称->b栏目ID;”' /></td>
    </tr>
    <tr>
    <td height="20"><label><span>${chrome.i18n.getMessage("nw_95")}</span></label></td>
    <td colspan="3">
    <input type="text"  name="inputpubitem_others" id="inputpubitem_others"  class="inputpubitem" value="#opt_pubitem_others_val" style="height:20px;float: left;" />
    </td>
    <td style="vertical-align: top;">
    <img src="images/os/tip.gif"  class="tipimg" title='输入格式为: “key1=value1&key2=value2”，添加上"usr=XXX&pass=XXX的形式可实现自动登录。"' />
    </td>
    </tr>
    <tr>
    <td height="20"><label><span>${chrome.i18n.getMessage("nw_96")}</span></label></td>
    <td width="23%">
    <select name="inputpubitem_dateFormat" id="inputpubitem_dateFormat" class="inputpubitem"  style="margin-bottom: 6px;">
    <option value="1">2007-10-19 12:06:08</option>
    <option value="2">20071019120608</option>
    <option value="3">2007/10/19</option>
    <option value="4">2007年10月19日</option>
    <option value="5">10月19日</option>
    <option value="6">20071019</option>
    <option value="7">2007.10.19</option>
    <option value="8">10/19/2007</option>
    <option value="9">19/10/2007</option>
    <option value="10">19.10.2007</option>
    <option value="11">19-10-2007</option>
    <option value="12">10 19 2007</option>
    <option value="13">10-19-2007</option>
    <option value="14">19 10 2007</option>
    <option value="15">10 19, 2007</option>
    <option value="16">10.19</option>
    <option value="17">10/19</option>
    <option value="18">12:06:08</option>
    <option value="19">12:06</option>
    </select></td>
    <td colspan="2"><input  style="vertical-align: 3px;" type="radio" class="radiopubitem" name="pubsitedefault" #opt_pubitem_sel_val >
    <label><span style="vertical-align: 5px;">${chrome.i18n.getMessage("opt_pubitem_defaultact")}</span></label>
    &nbsp;<span class="delpubsiteitem" title="${chrome.i18n.getMessage("opt_pubitem_delnode")}"> <img  style="vertical-align: 4px;" src="images/os/trashblue.png"  class="delpubsiteimg" /></span>
    </td>
    <td></td>
    </tr>
     <tr class="splitertr"><td colspan="5" style="height: 1px;border-top: 1px dotted #3E606F"></td></tr></tbody>
    `;function _(t){return null==t||""==t}t.addEventListener("DOMContentLoaded",function(){emg155(),e()},!1),d(function(){t.addEventListener("change",function(t){t=t.target;if(d(t).is(".inputpubitem,textarea"))!function(t){var e=r[b],i=d(t).closest("tbody"),n=i.data("isnew"),a=i.find("input[name='inputpubitem_id']").val(),p=i.find("input[name='inputpubitem_name']").val(),o=i.find("textarea[name='inputpubitem_cols']").val(),u=i.find("input[name='inputpubitem_others']").val(),l=i.find("select[name='inputpubitem_dateFormat']")[0],l=l.options[l.selectedIndex].text,s=i.find("input:radio")[0].checked;if(_(a)||_(p))return;var m=!1;{if(i.siblings().each(function(t,e){e=d(e).data("data");e.pubitem_id!=a&&e.pubitem_name!=p||(m=!0)}),m)return d.emg287(chrome.i18n.getMessage("nw_94")),void d(t).focus();if(n){let t={};t.pubitem_id=a,t.pubitem_name=p,t.pubitem_sel=s,t.pubitem_cols=o,t.pubitem_others=u,t.pubitem_dateFormat=l,e.push(t),i.data("data",t).data("isnew",!1)}else{t=i.data("data");t.pubitem_id=a,t.pubitem_name=p,t.pubitem_sel=s,t.pubitem_cols=o,t.pubitem_others=u,t.pubitem_dateFormat=l,i.data("isnew",!1)}}n={};return n[b]=e,c(n,function(t){}),1}(t)||d.emg288(chrome.i18n.getMessage("nw_87"));else if(d(t).is("input:text")){if(d(t).is("input:text.numlimitinput")&&!function(t){var e=o,i=d(t)[0],n=i.value;if(_(n)||isNaN(n)||0==n)return d.emg287(chrome.i18n.getMessage("nw_88")),d(t).focus(),i.value=d(t).data("oldval"),0;var a=i.id;return"titlePageSize"!=a&&e.hasOwnProperty(a)&&e[a]<+n?(d.emg287(chrome.i18n.getMessage("nw_89")+e[a]),d(t).focus(),void(i.value=d(t).data("oldval"))):(d(t).data("oldval",n),1)}(t))return!1;var e={};i(t,e),c(e,function(t){1==t.suc?d.emg288(chrome.i18n.getMessage("nw_87")):d.emg288(chrome.i18n.getMessage("nw_43"))})}},!1),d("table#puboptiontable")[0].addEventListener("click",function(t){t.stopPropagation();var n,a,e,i,t=t.target;d(t).is("img.delpubsiteimg")?(e=r[b],i=d(t).closest("tbody"),n=i.find("input[name='inputpubitem_id']").val(),e.forEach((t,e,i)=>{t.pubitem_id==n&&i.splice(i.indexOf(t),1)}),i.remove(),(i={})[b]=e,c(i,function(t){1==t.suc?d.emg288(chrome.i18n.getMessage("nw_91")):d.emg288(chrome.i18n.getMessage("nw_43"))})):d(t).is("input.radiopubitem")&&d(e=t)[0].checked&&(a=(e=d(e).closest("tbody")).find("input[name='inputpubitem_id']").val(),(e=e.data("data"))&&(e.pubitem_sel=!0,(e=r[b]).forEach((t,e,i)=>{t.pubitem_id==a?t.pubitem_sel=!0:t.pubitem_sel=!1}),(i={})[b]=e,c(i,function(t){1==t.suc?d.emg288(chrome.i18n.getMessage("nw_87")):d.emg288(chrome.i18n.getMessage("nw_43"))})))},!1),d("input.resetbutt").click(function(){var t,e={};for(t in o)d("#"+t).data("oldval",o[t]).val(o[t]),i(d("#"+t)[0],e);c(e,function(t){1==t.suc?d.emg288(chrome.i18n.getMessage("nw_92")):d.emg288(chrome.i18n.getMessage("nw_43"))})}),d("#newpubsitebutt").click(function(){var t=d("#puboptiontable").find("tr.firsttr"),e=0;if(t&&0<t.length){var i,e=t.length;for(i of t)if(_(d(i).find("input[name='inputpubitem_id']").val())||_(d(i).find("input[name='inputpubitem_name']").val()))return void d.emg287(chrome.i18n.getMessage("nw_90"))}d(u.replace("/inputpubitem_/","inputpubitem_"+e+"_").replace(/#opt_(\w+)_val/g,function(t,e,i){return""})).appendTo(d("#puboptiontable")).data("isnew",!0)})})}((window,document),jQuery);